using System.ServiceModel;
using System.ServiceModel.Channels;

namespace innoQ.TicketService.Contracts {
    /// <summary>
    /// TicketService Contract
    /// </summary>
    [ServiceContract(Name = "TicketService", Namespace = "http://reg.innoQ.com/ns/wsdl/TicketService/2007-02")]
    public interface ITicketService {
        [OperationContract(Name = "GetAllEvents")]
        Message GetAllEvents(Message request);

        [OperationContract(Name = "OrderTicket",
            Action = "http://reg.innoq.com/ns/wsdl/TicketService/2007-02/ITicketService/OrderTicket",
            ReplyAction = "http://reg.innoq.com/ns/wsdl/TicketService/2007-02/ITicketService/OrderTicketResponse")]
        Message OrderTicket(Message request);
    }
}